package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eStatusType {
    Unstart(1),//未开始
    Inprogress(2),//进行中
    Ended(3);//已结束

    private int value;

    eStatusType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eStatusType valueOf(int value) {
        switch (value) {
            case 1:
                return eStatusType.Unstart;
            case 2:
                return eStatusType.Inprogress;
            case 3:
                return eStatusType.Ended;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "未开始";
            case 2:
                return "进行中";
            case 3:
                return "已结束";
            default:
                return null;
        }
    }

}
